Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514615 - Limit nfs ganesha server to support protocol versions to 3 and 4.0
Summary: Limit nfs ganesha server to support protocol versions to 3 and 4.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha
Version: rhgs-3.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Frank Filz
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On: 1546713
Blocks: 1503138
TreeView+ depends on / blocked
 
Reported: 2017-11-17 21:52 UTC by Pan Ousley
Modified: 2018-09-07 07:00 UTC (History)
10 users (show)

Fixed In Version: nfs-ganesha-2.5.5-1
Doc Type: No Doc Update
Doc Text:
To limit the NFS version to 3 and 4.0, NFSv4 blocks were added in ganesha.conf file manually. With this fix, these options are added as default in ganesha.conf file.
Clone Of:
Environment:
Last Closed: 2018-09-04 06:53:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:2610 None None None 2018-09-04 06:54:41 UTC

Description Pan Ousley 2017-11-17 21:52:52 UTC
Description of problem: 

A customer is currently testing with an NFS-Ganesha setup and RHGS 3.3. Per the documentation of RHGS we found that NFS 4.1 is not supported, however, by default RHEL picks NFS 4.1 as protocol if the client doesn't specify the correct minor version. 

To prevent this we want to force this in the export file of the volumes.

There is an upstream patch for this: https://review.gerrithub.io/#/c/385818/

I would like to request that this patch be cherry-picked into a downstream build of RHGS. Please let me know if anything else is needed.


Version-Release number of selected component (if applicable): 

RHGS 3.3

Comment 5 Jiffin 2018-01-15 08:54:11 UTC
Can u please reconsider the bug for 3.4 ?

Comment 7 Kaleb KEITHLEY 2018-01-15 13:47:09 UTC
yes, the bugs are being looked at. And they're being fixed.

Even if NFSv4.1 isn't supported (for lack of QE) ganesha should not crash.

And devs want NFSv4.1 to be the default eventually.

Comment 18 Kaleb KEITHLEY 2018-03-28 14:57:57 UTC
Doc text will be in https://bugzilla.redhat.com/show_bug.cgi?id=1546713

Comment 21 Frank Filz 2018-08-31 13:49:00 UTC
Looks good.

Comment 23 errata-xmlrpc 2018-09-04 06:53:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2610


Note You need to log in before you can comment on or make changes to this bug.